Bug 147894 - Calc is crashed when I tried fill a range to right from A1 to XFD1
Summary: Calc is crashed when I tried fill a range to right from A1 to XFD1
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords: haveBacktrace
Depends on:
Blocks: Calc-large-spreadsheets
  Show dependency treegraph
 
Reported: 2022-03-10 10:08 UTC by Roman Kuznetsov
Modified: 2022-03-14 11:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
bt with debug symbols (11.75 KB, text/plain)
2022-03-10 12:43 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2022-03-10 10:08:27 UTC
Description:
Calc is crashed if I try fill a range to right from A1 to XFD1

Steps to Reproduce:
1. Make sure you have disabled Experimental features
2. Open Calc
3. Select a range A1:XFD1 (it's possibly after Lubos's patch (https://gerrit.libreoffice.org/c/core/+/131180)
4. Select menu Sheet->Fill cells->Fill series
5. In the dialog set a Start value to 1 (make sure you have Direction as Right)
6. press OK -> Calc crashes

Actual Results:
Calc crashes

Expected Results:
Calc works as should


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 51fb84829afbc1c0957fd1a489085613ad199f1a
CPU threads: 8; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: threaded
Comment 1 Roman Kuznetsov 2022-03-10 10:12:57 UTC
I tried to fill a range ALL1:AMB1 -> works as should without the crash
Comment 2 Julien Nabet 2022-03-10 12:43:54 UTC
Created attachment 178774 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2022-03-11 22:11:07 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e98325d8996c436394d3e1db357683aa25fc4ca7

allocate column in ScTable::SetPatternAreaCondFormat() (tdf#147894)

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Julien Nabet 2022-03-12 09:06:22 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce the crash anymore.

Thank you Luboš!

However, it took some time to fill the cells+it's quite slow when just clicking on another cell.
But that's another story, let's put this one to VERIFIED then.
Comment 5 Commit Notification 2022-03-14 11:12:54 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3d8c11a8ea9cabb0ee77b279cc815ca67d39ba24

tdf#147894: sc_uicalc: Add unittest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.